[DEPRECATED] Use form field endpoints instead. Creates a new custom field from provided data
curl --request POST \
--url https://api.rootly.com/v1/custom_fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "custom_fields",
"attributes": {
"label": "<string>",
"description": "<string>",
"shown": [
"incident_form"
],
"required": [
"incident_form"
],
"default": "<string>",
"position": 123
}
}
}
'{
"data": {
"id": "<string>",
"type": "custom_fields",
"attributes": {
"label": "<string>",
"shown": [
"incident_form"
],
"required": [
"incident_form"
],
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"kind": "<string>",
"enabled": true,
"slug": "<string>",
"description": "<string>",
"default": "<string>"
}
}
}Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/custom_fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "custom_fields",
"attributes": {
"label": "<string>",
"description": "<string>",
"shown": [
"incident_form"
],
"required": [
"incident_form"
],
"default": "<string>",
"position": 123
}
}
}
'{
"data": {
"id": "<string>",
"type": "custom_fields",
"attributes": {
"label": "<string>",
"shown": [
"incident_form"
],
"required": [
"incident_form"
],
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"kind": "<string>",
"enabled": true,
"slug": "<string>",
"description": "<string>",
"default": "<string>"
}
}
}